Package org.apache.commons.math3.optimization

# Class Target

java.lang.Object
org.apache.commons.math3.optimization.Target

All Implemented Interfaces:
  `OptimizationData`

@Deprecated public class Target extends Object implements OptimizationData
Deprecated.
As of 3.1 (to be removed in 4.0).
Target of the optimization procedure. They are the values which the objective vector function must reproduce When the parameters of the model have been optimized.
Immutable class.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`Target(double[] observations)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getTarget()`
Deprecated.
Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Target

public Target(double[] observations)
Deprecated.

Parameters:
  `observations` - Target values.

## Method Details

### getTarget

public double[] getTarget()
Deprecated.
Gets the initial guess.

Returns:
  the initial guess.